package cz.moneta.test.dsl.ufo.mwf;

import java.util.Map;

public class MWFHK8Data {

    private Map<String, Object> params;
    
    public MWFHK8Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long RsIdunifikovanehoklienta() {
        return (Long) params.get("RS_IDUNIFIKOVANEHOKLIENTA");
    }

    public String RsBusinesstarget() {
        return (String) params.get("RS_BUSINESSTARGET");
    }

    public String RsRc() {
        return (String) params.get("RS_RC");
    }

    public String RsIco() {
        return (String) params.get("RS_ICO");
    }

    public String RsIdcustomer() {
        return (String) params.get("RS_IDCUSTOMER");
    }

    public String RsTyposoby() {
        return (String) params.get("RS_TYPOSOBY");
    }

    public java.util.Date RsDatumnarozeni() {
        return (java.util.Date) params.get("RS_DATUMNAROZENI");
    }

    public String RsTitulpred() {
        return (String) params.get("RS_TITULPRED");
    }

    public String RsTitulza() {
        return (String) params.get("RS_TITULZA");
    }

    public String RsJmeno() {
        return (String) params.get("RS_JMENO");
    }

    public String RsPrijmeni() {
        return (String) params.get("RS_PRIJMENI");
    }

    public String RsNazev() {
        return (String) params.get("RS_NAZEV");
    }

    public String RsPsc() {
        return (String) params.get("RS_PSC");
    }

    public String RsMesto() {
        return (String) params.get("RS_MESTO");
    }

    public String RsPohlavi() {
        return (String) params.get("RS_POHLAVI");
    }

    public String RsZeme() {
        return (String) params.get("RS_ZEME");
    }

    public String RsPravniforma() {
        return (String) params.get("RS_PRAVNIFORMA");
    }

    public String RsStatniprislusnost() {
        return (String) params.get("RS_STATNIPRISLUSNOST");
    }

    public String RsCislopopisne() {
        return (String) params.get("RS_CISLOPOPISNE");
    }

    public Long RsIdkonsolidovanehoklienta() {
        return (Long) params.get("RS_IDKONSOLIDOVANEHOKLIENTA");
    }

    public Long RsId101instance() {
        return (Long) params.get("RS_ID101INSTANCE");
    }

    public String RsUlice() {
        return (String) params.get("RS_ULICE");
    }

    public String RsCisloorientacni() {
        return (String) params.get("RS_CISLOORIENTACNI");
    }

    public String RsCif() {
        return (String) params.get("RS_CIF");
    }

    public Long RsIdcustomercount() {
        return (Long) params.get("RS_IDCUSTOMERCOUNT");
    }

    public String RsStavmanualunifikace() {
        return (String) params.get("RS_STAVMANUALUNIFIKACE");
    }

    public java.util.Date RsUmrtidatum() {
        return (java.util.Date) params.get("RS_UMRTIDATUM");
    }

    public Long RsUmrtipriznak() {
        return (Long) params.get("RS_UMRTIPRIZNAK");
    } 

}
